# ModifySecurityGroupsAttribute

## 1. API Description

This API (ModifySecurityGroupsAttribute) is used to modify the attributes of one or more security groups. Only the security group name to be displayed can be modified for now.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name    | Required | Type            | Description                                                                                                                                                                                                               |
| ----------------- | -------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| securityGroupName | Yes      | String          | <p>Security group name.</p><p>The length is 1 to 64 characters. Only letters, numbers, - and periods (.) are supported.</p>                                                                                               |
| securityGroupIds  | Yes      | Array of String | <p>Security group ID(s).</p><p>To obtain the security group ID, you can call DescribeSecurityGroups and look for securityGroupId in the response.</p><p>The maximum number of security groups in each request is 100.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Batch modify the names of the security groups.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifySecurityGroupsAttribute
<Common Request Params>

Request:
{
  "securityGroupIds": [
    "791721259766392536"
  ],
  "securityGroupName": "abc12345"
}

Response:
{
  "requestId": "T27931ABC-1856-4928-9B82-D80C56DD4DBA",
  "response": {
    "requestId": "T27931ABC-1856-4928-9B82-D80C56DD4DBA"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code                           | Description                                  |
| ---------------- | ------------------------------------ | -------------------------------------------- |
| 404              | INVALID\_SECURITY\_GROUP\_NOT\_FOUND | The specified security group does not exist. |
